<?php
require_once ('system/func.php');
auth(); // Закроем от не авторизованных
//if($user['level'] < 7)
{
	require_once ('system/header.php');

//echo div('block_c')." Почта доступна с  7-го ".ico('icons','level.png')."  уровня </div>";
//require_once ('system/footer.php');
//exit;

}

# Настройки #
$id = abs(intval($_GET['id']));
if($id){
$prof = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));
# Ошибки #
if(!$prof){
$_SESSION['msg'] == 'Такой игрок не существует';
header('Location: /mail/');
exit();
}
if(isset($_GET['text'])){
if(isset($_POST['text'])){
$text = text($_POST['text']);
$ban = mysql_query('SELECT * FROM `ban` WHERE `id_user` = "'.$myID.'" AND `last` > "'.time().'" ORDER BY `id` DESC LIMIT 1');
$ban = mysql_fetch_array($ban);
if(strlen($text) < 3 or strlen($text) > 1000)$err = 'Длина сообщения должна быть в пределах 3 - 1000 символов';






if($ban)$err = "На вас наложен, бан осталось ".tl($ban[last]-time());
if($user['access'] == 0 && $prof['mail'] == 'friend' && mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE ((`user_1` = '".$prof['id']."' AND `user_2` = '".$user['id']."') OR (`user_2` = '".$prof['id']."' AND `user_1` = '".$user['id']."')) AND `status` = '1' LIMIT 1"),0) == 0) {
    $err = "Пользователю могут писать только друзья!";
}
//if($prof['id']==2)$err = "По любым вопросам игры пишите Модераторам. О ошибках и предложениях пишите на форуме.</a>";

//if($prof['level'] < 7)$err = "Отправлять почту можно с 10 уровня.</a>";




if(!$err){
mysql_query("INSERT INTO `mail` SET `in` = '$myID', `out` = '".$prof['id']."', `text` = '".mysql_real_escape_string($text)."' , `time` = '".time()."'");
$kont = mysql_fetch_assoc(mysql_query("SELECT * FROM `kont` WHERE `id_user` = '".$myID."' && `id_kont` = '".$prof['id']."' LIMIT 1"));
if($kont['id_kont'] != $prof['id']){
mysql_query("INSERT INTO `kont` SET `id_user` = '".$prof['id']."', `id_kont` = '".$myID."', `time` = '".time()."'");
mysql_query("INSERT INTO `kont` SET `id_user` = '$myID', `id_kont` = '".$prof['id']."', `time` = '".time()."'");
}else{
mysql_query("update `kont` set `time` = '".time()."' WHERE `id_user` = '".$myID."' && `id_kont` = '".$prof['id']."'");
mysql_query("update `kont` set `time` = '".time()."' WHERE `id_user` = '".$prof['id']."' && `id_kont` = '".$myID."'");
}
$_SESSION['msg'] = 'Сообщение успешно отправлено';
header("Location: /mail/$prof[id]");
exit();
}else{
$_SESSION['msg'] = $err;
header("Location: /mail/$prof[id]");
exit();
}
}else{
$_SESSION['msg'] == 'Введите сообщение';
header("Location: /mail/$prof[id]");
exit();

}
}






$title = 'Диалог с '.text($prof['login']);
require_once ('system/header.php');





    echo '
<div class="header">
<div class="p3">
    <form action="?text" method="post">
        <input type="text" class="input_text w97 " id="msg" name="text" maxlength="500" value="" /><br />

        <table class=""><tbody><tr>
            <td class="w50">
                <div class="fl mt2">
                    <a onclick="{ smiles(); return false; }" class="btn_grey" href="/smiles.php">
                        <span class="cb_end"><span class="cb_ttl">
                        <img src="/images/smile/1.png" width="16" height="16" style="margin-top:-1px"/>
                    </span></span></a>
                </div>
            </td>
            <td>
                <span style="min-width: 220px;" >
                    <span class="cb_end">
                        <input type="submit" class="btn_grey" name="submit" value="Отправить"/>
                    </span>
                </span>
            </td>
            
                            
                        </span></span>
                    </a>
                </div>
            </td>
        </tr></tbody></table>
    </form></div></div>';

$set['p_str'] = 10;
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE (`in` = '$prof[id]' && `out` = '$user[id]') or (`in` = '$user[id]' && `out` = '".num($_GET['id'])."')"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];
$q = mysql_query("SELECT * FROM `mail` WHERE (`in` = '$prof[id]' && `out` = '$user[id]') or (`in` = '$user[id]' && `out` = '$prof[id]') ORDER BY `id` DESC LIMIT $start, $set[p_str]");
if($k_post == 0)echo "<div class='block_c'> </div>";

mysql_query("update `mail` set `online` = '0' WHERE `in` = '".$prof['id']."' && `out` = '".$myID."'");
mysql_query("UPDATE `kont` SET `new_msg` = '0' WHERE `id_kont` = '$ank[id]' AND `id_user` = '$myID' LIMIT 1");
while($post = mysql_fetch_assoc($q)) {
if($post['online'] == 1)$color = 'green';
else $color = 'white';
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = $post[in] LIMIT 1"));
echo div('text_p1');
echo " ";

echo "   </font><a href='/profile/$ank[id]'>".span('white')." ".text($ank['login'])." </span></a>
 </font><font color='lime'>".vremja($post['time'])."</span><br>".text_msg($post['text'])."</font></div>";
 echo"</div>";

}


if( $k_post > 10)
{
echo"<div class='block_left'>";

str('?',$k_page,$page); // Вывод страниц
echo "</div>";
}

echo "<div class='bbtn mb5' ><div class='ssilki_dop p_0'><a class='llb' href='/mail/'>Вернуться назад </div></div></a>";
echo "</a>";
}else{
$title = 'Почта';
require_once ('system/header.php');
//if($user['level'] < 7)
{
//echo div('block_c')." Почта доступна с  7-го ".ico('icons','level.png')."  уровня </div>";
//require_once ('system/footer.php');
//exit;
}






$set['p_str'] = 10;
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kont` WHERE `id_user` = '".$myID."'"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];
$q = mysql_query("SELECT * FROM `kont` WHERE `id_user` = '".$myID."' ORDER BY `time` DESC LIMIT $start, $set[p_str]");
if($k_post == 0)echo "<div class='block_c'>Список контактов пуст </div>";
while ($post = mysql_fetch_assoc($q)){
    echo "<div class='wrapper white'>";

$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$post['id_kont']."' LIMIT 1"));


if($ank['id'] == 0){
$ank['id'] = 0;
$ank['login'] = 'Система';

$ank['access'] = 2;
$ank['sex'] = 'w';
}






$mess = mysql_query("SELECT * FROM `mail` WHERE `in` = '$user[id]' && `out` = '$ank[id]' OR `in` = '$ank[id]' AND `out` = '$user[id]' ORDER BY `id` DESC LIMIT 1");
$msg = mysql_fetch_assoc($mess);
$new_msg = mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `out` = '".$user['id']."' && `in` = '".$ank['id']."' AND `online` = '1'"),0);
$online = mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `out` = '".$ank['id']."' && `in` = '".$user['id']."' AND `online` = '1'"),0);
echo "<li><a href='/mail/$ank[id]'>";
echo " <font color='white'> ".text($ank['login'])." </font>, ".vremja($msg['time'])." ";
if($new_msg > 0)echo "(<font color='lime'>+ $new_msg</font>)";
if($online > 0)echo "<font color='grey'>($online)</font>";
echo "</a></li>";
echo "</div>";

}
//if($k_post >=1)echo"<div class='header'><a href='?confirm' class ='seach'> Очистить почту</a></div>";
if(isset($_GET['confirm'])){
echo div('block_c')." Вы хотите удалить всю свою почту?<li><a href='?del'> ".color('lime')."Да   </a></font> ".color('tomato')."<a href='/mail/'> ".color('tomato')."Нет </a></font> </div>";
}

if(isset($_GET['del'])){

mysql_query("DELETE FROM `mail` where `in` = '".$user['id']."'" );
mysql_query("DELETE FROM `kont` where `id_user` = '".$user['id']."'" );





$_SESSION ['msg'] = "Вы очистили почту";
header("Location: /mail/");
exit();
}

    if( $k_post > 10)
{
echo"<div class='header'>";

str('?',$k_page,$page); // Вывод страниц
echo "</div>";
}
}
require_once ('system/footer.php');
?>
